## opencolorio 1.1.0~dfsg0

=== CMakeLists.txt ===
project(OpenColorIO)
set(OCIO_VERSION_MAJOR 1)
set(OCIO_VERSION_MINOR 1)
set(OCIO_VERSION_PATCH 0)

cmake_minimum_required(VERSION 2.8)
set(CMAKE_MODULE_PATH ${CMAKE_SOURCE_DIR}/share/cmake)
if(NOT DEFINED CMAKE_FIRST_RUN)
    SET(CMAKE_FIRST_RUN 1 CACHE INTERNAL "")
endif()

###############################################################################
### GLOBAL ###

set_property(GLOBAL PROPERTY USE_FOLDERS ON)
option(OCIO_BUILD_SHARED "Set to OFF to disable building the shared core library" ON)
option(OCIO_BUILD_STATIC "Set to OFF to disable building the static core library" ON)
option(OCIO_BUILD_TRUELIGHT "Set to OFF to disable truelight" ON)
option(OCIO_BUILD_APPS "Set to OFF to disable command-line apps" ON)
option(OCIO_BUILD_NUKE "Set to OFF to disable building nuke plugins" ON)
option(OCIO_BUILD_DOCS "Specify whether to build documentation" UNIX)
option(OCIO_BUILD_TESTS "Specify whether to build unittests" ON)
option(OCIO_BUILD_PYGLUE "Specify whether to build python bindings" ON)
option(OCIO_BUILD_JNIGLUE "Specify whether to build java bindings" OFF)
option(OCIO_STATIC_JNIGLUE "Specify whether to statically link ocio to the java bindings" ON)

option(OCIO_USE_SSE "Specify whether to enable SSE CPU performance optimizations" ON)
option(OCIO_INLINES_HIDDEN "Specify whether to build with -fvisibility-inlines-hidden" UNIX)

# Use boost's shared_ptr by default on Windows (as <VS2010 doesn't have it),
# Use std::tr1::shared_ptr by default on other platforms
option(OCIO_USE_BOOST_PTR "Set to ON to enable boost shared_ptr (necessary when tr1 is not available)" WIN32)

option(OCIO_PYGLUE_LINK "If ON, link the Python module to the core shared library" OFF)
option(OCIO_PYGLUE_RESPECT_ABI "If ON, the Python module install path includes Python UCS version" OFF)
option(OCIO_PYGLUE_SONAME "If ON, soname/soversion will be set for Python module library" OFF)
option(OCIO_PYGLUE_LIB_PREFIX "If ON, prefix the Python module with 'lib'" OFF)

if(UNIX AND NOT APPLE)
    option(USE_EXTERNAL_YAML "Use system installed yaml-cpp library." OFF)
    option(USE_EXTERNAL_TINYXML "Use system installed tinyxml library." OFF)
    option(USE_EXTERNAL_LCMS "Use system install lcms2 library." OFF)
endif()

# This does not include the SOVERSION override, on purpose, so that the
# OCIO_VERSION value will be an accurate reflection of the underlying library version.
set(OCIO_VERSION "${OCIO_VERSION_MAJOR}.${OCIO_VERSION_MINOR}.${OCIO_VERSION_PATCH}")

if(NOT SOVERSION)
    set(SOVERSION ${OCIO_VERSION_MAJOR} CACHE STRING "Set the SO version in the SO name of the output library")
endif()

###############################################################################
if(POLICY CMP0054)
    ## Only interpret if() arguments as variables or keywords when unquoted
    cmake_policy(SET CMP0054 NEW)
endif()

include(ParseArguments)
include(OCIOMacros)
include(ExternalProject)

enable_language(CXX)

ENABLE_TESTING()

if(APPLE OR IPHONE)
    if(NOT CMAKE_OSX_ARCHITECTURES)
        set(CMAKE_OSX_ARCHITECTURES x86_64 CACHE STRING
            "Setting OSX Architectures, options are: ppc;i386;ppc64;x86_64"
            FORCE)
    endif()
    if(CMAKE_FIRST_RUN)
        message(STATUS "Setting OSX Architectures to: ${CMAKE_OSX_ARCHITECTURES}")
    endif()
endif()

# Set the default built type
if(NOT CMAKE_BUILD_TYPE)
  set(CMAKE_BUILD_TYPE RelWithDebInfo CACHE STRING
      "Choose the type of build, options are: None Debug Release RelWithDebInfo MinSizeRel."
      FORCE)
endif(NOT CMAKE_BUILD_TYPE)
if(CMAKE_FIRST_RUN)
    message(STATUS "Setting Build Type to: ${CMAKE_BUILD_TYPE}")
endif()

# Set the default namespace
if(NOT OCIO_NAMESPACE)
  set(OCIO_NAMESPACE OpenColorIO CACHE STRING
      "Specify the master OCIO C++ namespace: Options include OpenColorIO OpenColorIO_<YOURFACILITY> etc."
      FORCE)
endif(NOT OCIO_NAMESPACE)
messageonce("Setting Namespace to: ${OCIO_NAMESPACE}")

# If CMAKE_INSTALL_EXEC_PREFIX is not specified, install binaries
# directly into the regular install prefix
if(NOT CMAKE_INSTALL_EXEC_PREFIX)
    messageonce("Exec prefix not specified, defaulting to ${CMAKE_INSTALL_PREFIX}")
    set(CMAKE_INSTALL_EXEC_PREFIX ${CMAKE_INSTALL_PREFIX})
endif()

messageonce("Use Boost Ptr: ${OCIO_USE_BOOST_PTR}")
if(OCIO_USE_BOOST_PTR)
    set(Boost_ADDITIONAL_VERSIONS "1.49" "1.45" "1.44" "1.43" "1.43.0" "1.42"
                                  "1.42.0" "1.41" "1.41.0" "1.40"
                                  "1.40.0" "1.39" "1.39.0" "1.38"
                                  "1.38.0" "1.37" "1.37.0" "1.34.1"
                                  "1_34_1")
    set(Boost_USE_MULTITHREADED ON)
    find_package(Boost 1.34)
    if(NOT Boost_FOUND)
        message(FATAL_ERROR "OCIO_USE_BOOST_PTR is specified, but a boost installation could not be found.")
    else()
        set(OCIO_USE_BOOST_PTR 1)
    endif()

    set(EXTERNAL_INCLUDE_DIRS ${EXTERNAL_INCLUDE_DIRS} ${Boost_INCLUDE_DIR})
    # set(EXTERNAL_LIBRARIES ${EXTERNAL_LIBRARIES} ${Boost_LIB_DIAGNOSTIC_DEFINITIONS})
else()
    set(OCIO_USE_BOOST_PTR 0)
endif()

if("${CMAKE_CXX_COMPILER_ID}" STREQUAL "GNU")
    if(OCIO_INLINES_HIDDEN)
        execute_process(COMMAND ${CMAKE_C_COMPILER} -dumpversion
                        OUTPUT_VARIABLE GCC_VERSION)
        if (GCC_VERSION VERSION_LESS 4.2)
            message(STATUS "WARNING: GCC Version < 4.2 - disabling hidden inlines")
            set(OCIO_INLINES_HIDDEN OFF)
        endif()
    endif()
endif()

if(CMAKE_COMPILER_IS_GNUCXX)
    # Enable a bunch of compiler warnings...
    # http://gcc.gnu.org/onlinedocs/gcc/Warning-Options.html
    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wall -Wextra -Wshadow -Wconversion -Wcast-qual -Wformat=2")
    # set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -pedantic")
endif(CMAKE_COMPILER_IS_GNUCXX)

###############################################################################
### Python ###

OCIOFindPython()

# Find Python, used for (possibly) building pyglue, and now to
# construct the external project path
set(EXTDIST_ROOT ${CMAKE_BINARY_DIR}/ext/dist)
set(EXTDIST_BINPATH ${EXTDIST_ROOT}/bin)
if(PYTHON_OK)
    set(EXTDIST_PYTHONPATH ${EXTDIST_ROOT}/${PYTHON_VARIANT_PATH})
    if(UNIX)
        set(PYTHONPATH ${EXTDIST_PYTHONPATH}:$ENV{PYTHONPATH})
    else()
        # The line below should work but ';' is always replaced by a space
        #   which breaks the build. Anyway in the worst scenario, no expected
        #   modules are present in the local python so install them.
        #set(PYTHONPATH ${EXTDIST_PYTHONPATH}\\;$ENV{PYTHONPATH})
        set(PYTHONPATH ${EXTDIST_PYTHONPATH})
    endif()
endif()

messageonce("Setting EXTDIST_BINPATH: ${EXTDIST_BINPATH}")
messageonce("Setting EXTDIST_PYTHONPATH: ${EXTDIST_PYTHONPATH}")

###############################################################################
### tinyxml ###
##TODO: yaml and tinyxml : when there are not USE_EXTERNAL_TINYXML, use the same cmake schema/instructions => maybe refactorize in a cmake functions/macros ?

if(USE_EXTERNAL_TINYXML)
    set(TINYXML_VERSION_MIN "2.6.1")
    find_package(TinyXML)
    if(TINYXML_FOUND)
        if(TINYXML_VERSION VERSION_EQUAL ${TINYXML_VERSION_MIN} OR
           TINYXML_VERSION VERSION_GREATER ${TINYXML_VERSION_MIN})
            message(STATUS "External TinyXML will be used.")
        else()
            message(FATAL_ERROR "ERROR: ${TINYXML_VERSION} found, but ${TINYXML_VERSION_MIN} or newer is required.")
        endif()
    else(TINYXML_FOUND)
        message(STATUS "TinyXML was not found. Perhaps you forgot to install the development package?")
    endif(TINYXML_FOUND)

else(USE_EXTERNAL_TINYXML)
    set(TINYXML_VERSION 2_6_1)
    set(TINYXML_CMAKE_ARGS -DCMAKE_INSTALL_PREFIX=${PROJECT_BINARY_DIR}/ext/dist -DOCIO_INLINES_HIDDEN:BOOL=${OCIO_INLINES_HIDDEN})
    if(CMAKE_TOOLCHAIN_FILE)
        set(TINYXML_CMAKE_ARGS ${TINYXML_CMAKE_ARGS} -DCMAKE_TOOLCHAIN_FILE=${CMAKE_TOOLCHAIN_FILE})
    endif()
    set(TINYXML_CMAKE_ARGS ${TINYXML_CMAKE_ARGS} -DCMAKE_BUILD_TYPE=${CMAKE_BUILD_TYPE})
    set(TINYXML_ZIPFILE     "${CMAKE_SOURCE_DIR}/ext/tinyxml_${TINYXML_VERSION}.tar.gz")
    set(TINYXML_PATCHFILE   "${CMAKE_SOURCE_DIR}/ext/tinyxml_${TINYXML_VERSION}.patch")
    set(TINYXML_SOURCE_DIR  "${CMAKE_BINARY_DIR}/ext")
    ## Create our TINYXML_LIB target
    if(CMAKE_VERSION VERSION_GREATER "2.8.7")
        option(TINYXML_OBJECT_LIB_EMBEDDED ${OCIO_BUILD_STATIC} "directly embedded tinyxml 3rdParty object lib into our resulting static lib, no link needed anymore")
    else()
        set(TINYXML_OBJECT_LIB_EMBEDDED OFF CACHE BOOL "directly embedded tinyxml 3rdParty object lib into our resulting static lib, no link needed anymore" FORCE)
        message("Force disable TINYXML_OBJECT_LIB_EMBEDDED feature due to CMake Version less than 2.8.8")
    endif()
    mark_as_advanced(TINYXML_OBJECT_LIB_EMBEDDED) ## two way to build with tinyxml (objects embedded or static transitive link)
    if(TINYXML_OBJECT_LIB_EMBEDDED)
        set(tinyxml_sources ${TINYXML_SOURCE_DIR}/tinyxml/tinystr.cpp       ${TINYXML_SOURCE_DIR}/tinyxml/tinyxml.cpp 
                            ${TINYXML_SOURCE_DIR}/tinyxml/tinyxmlerror.cpp  ${TINYXML_SOURCE_DIR}/tinyxml/tinyxmlparser.cpp )
        set(tinyxml_headers ${TINYXML_SOURCE_DIR}/tinyxml/tinystr.h         ${TINYXML_SOURCE_DIR}/tinyxml/tinyxml.h )
        add_custom_command(                                 ## will be done at build time
            OUTPUT ${tinyxml_sources} ${tinyxml_headers}    ## expected output files
            COMMAND ${CMAKE_COMMAND} -E tar xzf ${TINYXML_ZIPFILE}
            DEPENDS ${TINYXML_ZIPFILE}
            WORKING_DIRECTORY ${TINYXML_SOURCE_DIR}
            COMMENT "Unpacking ${TINYXML_ZIPFILE} to ${TINYXML_SOURCE_DIR}"
            VERBATIM
        )
        include_directories(BEFORE ${TINYXML_SOURCE_DIR}/tinyxml) ## needed to build correctly
        add_library(TINYXML_LIB OBJECT ${tinyxml_sources})
        ## embedded tinyxml objects files (no static link needed anymore) 
        ## => great news when build staticaly since we do not want another client project have to link also with tinyxml when he want to use this project
        ## => could be problematic if the client project use another version of tinyxml... In this case build tinyxml as shared lib with all projects could be a solution
        ## => TODO: so maybe provide a simple cmake way to build 3rdParty as shared and auto install with this project ?
        set_target_properties(TINYXML_LIB PROPERTIES COMPILE_FLAGS "-DTIXML_USE_STL -fPIC -fvisibility-inlines-hidden -fvisibility=hidden")
        add_definitions(-DTIXML_USE_STL) ## needed to build correctly, and also need to be propagated in child projects (client projects)
        list(APPEND EXTERNAL_OBJECTS $<TARGET_OBJECTS:TINYXML_LIB>)
    else()
        find_package(Git REQUIRED) ## in order to apply patch (for crossplateform compatibility)
        ExternalProject_Add(tinyxml
            URL             ${TINYXML_ZIPFILE}
            SOURCE_DIR      ${TINYXML_SOURCE_DIR}/tinyxml
            PATCH_COMMAND   ${GIT_EXECUTABLE} apply --ignore-whitespace ${TINYXML_PATCHFILE}
            BINARY_DIR      ext/build/tinyxml
            INSTALL_DIR     ext/dist
            CMAKE_ARGS      ${TINYXML_CMAKE_ARGS}
        )
        if(WIN32)
            set(TINYXML_STATIC_LIBRARIES  ${PROJECT_BINARY_DIR}/ext/dist/lib/tinyxml.lib)
        else()
            set(TINYXML_STATIC_LIBRARIES ${PROJECT_BINARY_DIR}/ext/dist/lib/libtinyxml.a)
        endif()
        add_library(TINYXML_LIB STATIC IMPORTED)
        ## static is the .lib location, shared is the .dll/.so location (see IMPORTED_IMPLIB for the associated .lib archive location on windows)
        set_property(TARGET TINYXML_LIB PROPERTY IMPORTED_LOCATION ${TINYXML_STATIC_LIBRARIES})
        add_dependencies(TINYXML_LIB tinyxml)
        list(APPEND EXTERNAL_LIBRARIES TINYXML_LIB)
    endif()
    set_target_properties(TINYXML_LIB PROPERTIES FOLDER External)

=== src/core/CMakeLists.txt ===
###############################################################################
### OCIO CORE ###

include_directories(
    ${CMAKE_SOURCE_DIR}/export/
    ${CMAKE_BINARY_DIR}/export/
    ${CMAKE_SOURCE_DIR}/ext/oiio/src/include
    ${EXTERNAL_INCLUDE_DIRS}
)

file(GLOB_RECURSE core_src_files "${CMAKE_SOURCE_DIR}/src/core/*.cpp")
file(GLOB_RECURSE core_export_headers "${CMAKE_SOURCE_DIR}/export/OpenColorIO/*.h")

message(STATUS "Create OpenColorABI.h from OpenColorABI.h.in")
configure_file(${CMAKE_SOURCE_DIR}/export/OpenColorIO/OpenColorABI.h.in
    ${CMAKE_BINARY_DIR}/export/OpenColorABI.h @ONLY)
list(APPEND core_export_headers ${CMAKE_BINARY_DIR}/export/OpenColorABI.h)

# Process all warnings as errors

if(WIN32)
    # On debug mode there are other kinds of warning...
    if("${CMAKE_BUILD_TYPE}" STREQUAL "Release")
        set(EXTERNAL_COMPILE_FLAGS "${EXTERNAL_COMPILE_FLAGS} /WX")
    endif()
else()
    set(EXTERNAL_COMPILE_FLAGS "${EXTERNAL_COMPILE_FLAGS} -Werror")
endif()

# SHARED

if(OCIO_BUILD_SHARED)
    add_library(OpenColorIO SHARED ${EXTERNAL_OBJECTS} ${core_src_files})

    if(USE_EXTERNAL_TINYXML)
        target_link_libraries(OpenColorIO ${TINYXML_LIBRARIES})
    else(USE_EXTERNAL_TINYXML)
        add_dependencies(OpenColorIO TINYXML_LIB)
    endif(USE_EXTERNAL_TINYXML)

    if(USE_EXTERNAL_YAML)
        target_link_libraries(OpenColorIO ${YAML_CPP_LIBRARIES})
    else(USE_EXTERNAL_YAML)
        add_dependencies(OpenColorIO YAML_CPP_LIB)
    endif()

    if(EXTERNAL_LIBRARIES)
        target_link_libraries(OpenColorIO ${EXTERNAL_LIBRARIES})
    endif()

    if(WIN32)
        # Mute a design issue where the Exception public class inherits 
        # from a STL Exception. STL classes are never supposed to
        # be exported among different dynamic libraries.
        set(EXTERNAL_COMPILE_FLAGS "${EXTERNAL_COMPILE_FLAGS} /wd4275")
    endif()

    set_target_properties(OpenColorIO PROPERTIES
        OUTPUT_NAME OpenColorIO
        COMPILE_FLAGS   "${EXTERNAL_COMPILE_FLAGS}"
        LINK_FLAGS      "${EXTERNAL_LINK_FLAGS}")
    
    message(STATUS "Setting OCIO SOVERSION to: ${SOVERSION}")
    set_target_properties(OpenColorIO PROPERTIES
        VERSION ${OCIO_VERSION}
        SOVERSION ${SOVERSION})
    
    install(TARGETS OpenColorIO EXPORT OpenColorIO 
        ARCHIVE DESTINATION ${CMAKE_INSTALL_EXEC_PREFIX}/lib${LIB_SUFFIX}
        LIBRARY DESTINATION ${CMAKE_INSTALL_EXEC_PREFIX}/lib${LIB_SUFFIX}
        RUNTIME DESTINATION ${CMAKE_INSTALL_EXEC_PREFIX}/bin
    )
endif()

# STATIC

if(OCIO_BUILD_STATIC)
    list(REMOVE_ITEM core_src_files ${CMAKE_SOURCE_DIR}/src/core/UnitTest.cpp)
    add_library(OpenColorIO_STATIC STATIC ${EXTERNAL_OBJECTS} ${core_src_files})
    add_dependencies(OpenColorIO_STATIC TINYXML_LIB YAML_CPP_LIB)
    if(EXTERNAL_LIBRARIES)
        target_link_libraries(OpenColorIO_STATIC ${EXTERNAL_LIBRARIES})
    endif()
    
	set_target_properties(OpenColorIO_STATIC PROPERTIES COMPILE_DEFINITIONS "OpenColorIO_STATIC")
    set_target_properties(OpenColorIO_STATIC PROPERTIES
        OUTPUT_NAME                 OpenColorIO
        ARCHIVE_OUTPUT_DIRECTORY    "${CMAKE_CURRENT_BINARY_DIR}/static"
        COMPILE_FLAGS               "${EXTERNAL_COMPILE_FLAGS}"
        LINK_FLAGS                  "${EXTERNAL_LINK_FLAGS}")
    
    message(STATUS "Setting OCIO SOVERSION to: ${SOVERSION}")
    set_target_properties(OpenColorIO_STATIC PROPERTIES
        VERSION ${OCIO_VERSION}
        SOVERSION ${SOVERSION})
    
    install(TARGETS OpenColorIO_STATIC EXPORT OpenColorIO ARCHIVE DESTINATION ${CMAKE_INSTALL_EXEC_PREFIX}/lib/static)
endif()

macro(target_link_OCIO target)
    if(OCIO_BUILD_SHARED)
        target_link_libraries(${target} OpenColorIO         ${ARGN})
    elseif(OCIO_BUILD_STATIC)
        target_link_libraries(${target} OpenColorIO_STATIC  ${ARGN})
        set_target_properties(${target} PROPERTIES COMPILE_DEFINITIONS OpenColorIO_STATIC)
    endif()
endmacro()


# public interface
install(FILES ${core_export_headers}
    DESTINATION ${CMAKE_INSTALL_PREFIX}/include/OpenColorIO/)

# pkg-config
message(STATUS "Create OpenColorIO.pc from OpenColorIO.pc.in")
configure_file(${CMAKE_SOURCE_DIR}/export/pkgconfig/OpenColorIO.pc.in
    ${CMAKE_CURRENT_BINARY_DIR}/OpenColorIO.pc @ONLY)
install(FILES ${CMAKE_CURRENT_BINARY_DIR}/OpenColorIO.pc
    DESTINATION ${CMAKE_INSTALL_EXEC_PREFIX}/lib${LIB_SUFFIX}/pkgconfig/)

=== src/apps/ociobakelut/CMakeLists.txt ===
# LCMS
include(FindPkgConfig FindPackageMessage)
pkg_check_modules(LCMS QUIET lcms2)
if(LCMS_FOUND AND (LCMS_VERSION VERSION_EQUAL 2.1 OR LCMS_VERSION VERSION_GREATER 2.1))
    FIND_PACKAGE_MESSAGE(LCMS "Found lcms: ${LCMS_LIBRARIES}"
        "${LCMS_INCLUDE_DIR}")
else()
    find_package(Git)
    if(NOT GIT_EXECUTABLE)
        message("Git not found, could not build external LCMS as we cannot apply patch")
    endif()
    message(STATUS "Using bundled lcms.")
    set(LCMS_VERSION 2.1)
    set(LCMS_BUNDLED TRUE)
    if(CMAKE_TOOLCHAIN_FILE)
        set(LCMS_CMAKE_ARGS ${LCMS_CMAKE_ARGS} -DCMAKE_TOOLCHAIN_FILE=${CMAKE_TOOLCHAIN_FILE})
    endif()
    set(LCMS_INSTALL_DIR ${CMAKE_BINARY_DIR}/ext/dist)
    ExternalProject_Add(LCMS
        PREFIX         ${CMAKE_BINARY_DIR}/lcms2-prefix
        URL            ${CMAKE_SOURCE_DIR}/ext/lcms2-${LCMS_VERSION}.tar.gz
        PATCH_COMMAND  ${GIT_EXECUTABLE} apply ${CMAKE_SOURCE_DIR}/ext/lcms2-${LCMS_VERSION}.patch
        BINARY_DIR     ${CMAKE_BINARY_DIR}/ext/build/lcms2
        INSTALL_DIR    ${LCMS_INSTALL_DIR}
        CMAKE_ARGS     ${LCMS_CMAKE_ARGS} -DCMAKE_INSTALL_PREFIX=${LCMS_INSTALL_DIR} -DCMAKE_BUILD_TYPE=${CMAKE_BUILD_TYPE}
    )
    set(LCMS_INCLUDE_DIRS 	${PROJECT_BINARY_DIR}/ext/dist/include)
    set(LCMS_LIBRARY_DIRS 	${PROJECT_BINARY_DIR}/ext/dist/lib)
    set(LCMS_LIBRARIES 		${PROJECT_BINARY_DIR}/ext/dist/lib/${CMAKE_STATIC_LIBRARY_PREFIX}lcms2${CMAKE_STATIC_LIBRARY_SUFFIX})
endif()

file(GLOB_RECURSE share_src_files "${CMAKE_SOURCE_DIR}/src/apps/share/*.cpp")

include_directories(
    ${CMAKE_SOURCE_DIR}/export/
    ${CMAKE_BINARY_DIR}/export/
    ${CMAKE_SOURCE_DIR}/src/apps/share/
    ${LCMS_INCLUDE_DIRS}
    ${Boost_INCLUDE_DIR}
)

link_directories(
    ${LCMS_LIBRARY_DIRS}
)

add_executable(ociobakelut ${share_src_files} main.cpp ocioicc.cpp)

set_target_properties(ociobakelut PROPERTIES COMPILE_FLAGS -DCMAKE_BUILD_TYPE=${CMAKE_BUILD_TYPE})

if(LCMS_BUNDLED)
    add_dependencies(ociobakelut LCMS)
endif()

target_link_libraries(ociobakelut ${LCMS_LIBRARIES})
target_link_OCIO(ociobakelut)

install(TARGETS ociobakelut EXPORT OpenColorIO DESTINATION ${CMAKE_INSTALL_EXEC_PREFIX}/bin)

=== src/apps/ociocheck/CMakeLists.txt ===
file(GLOB_RECURSE share_src_files "${CMAKE_SOURCE_DIR}/src/apps/share/*.cpp")

include_directories(
    ${CMAKE_SOURCE_DIR}/export/
    ${CMAKE_BINARY_DIR}/export/
    ${CMAKE_SOURCE_DIR}/src/apps/share/
    ${Boost_INCLUDE_DIR}
    )

add_executable(ociocheck
    main.cpp
    ${share_src_files})

set_target_properties(ociocheck PROPERTIES COMPILE_FLAGS -DCMAKE_BUILD_TYPE=${CMAKE_BUILD_TYPE})

target_link_OCIO(ociocheck)

install(TARGETS ociocheck EXPORT OpenColorIO DESTINATION ${CMAKE_INSTALL_EXEC_PREFIX}/bin)

=== src/pyglue/tests/CMakeLists.txt ===

###############################################################################
### PYTHON UNIT TESTS ###

add_custom_target(PYTests
                  COMMAND ${PYTHON} OpenColorIOTestSuite.py ${CMAKE_BINARY_DIR}
                  DEPENDS PyOpenColorIO
                  WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}
                  COMMENT "Setting Up and Running PYTHON OCIO UNIT tests")

add_test(pyglue "${CMAKE_COMMAND}" --build ${CMAKE_BINARY_DIR} --target PYTests)

=== debian/changelog ===
opencolorio (1.1.0~dfsg0-5) unstable; urgency=medium

  * debian/control: circular dependency on OIIO broken

 -- Matteo F. Vescovi <mfv@debian.org>  Fri, 01 Mar 2019 10:05:12 +0100

opencolorio (1.1.0~dfsg0-4) unstable; urgency=medium

  * debian/patches/: patchset updated (Closes: #918768)
    - 0006-Fix_build_with_yaml-cpp0.6.patch added
  * debian/: debhelper bump 11 -> 12
  * debian/control: move texlive stuff to B-D-I
  * debian/rules: get rid of get-orig-source directive

 -- Matteo F. Vescovi <mfv@debian.org>  Wed, 09 Jan 2019 21:46:00 +0100

opencolorio (1.1.0~dfsg0-3) unstable; urgency=medium

  * debian/patches/: patchset updated
    - 0003-Fix_FTBFS_on_Linux.patch refreshed
    - 0005-Fix_build_with_OIIO2.patch added
  * debian/control:
    - S-V bump 4.1.4 -> 4.3.0 (no changes needed)
    - X-Python-Version field dropped
    - OIIO b-dep version bumped to v2.0.0

 -- Matteo F. Vescovi <mfv@debian.org>  Tue, 01 Jan 2019 15:32:14 +0100

opencolorio (1.1.0~dfsg0-2) unstable; urgency=medium

  * debian/patches/: patchset updated
    - 0004-Fix_build_with_GCC-8.patch added (Closes: #897825)
  * debian/docs: update README.md file name
  * debian/: debhelper bump 10 -> 11
  * debian/control: S-V bump 4.1.3 -> 4.1.4 (no changes needed)
  * debian/control: Vcs-* fields pointing to salsa
  * debian/rules: drop obsolete '--parallel' parameter

 -- Matteo F. Vescovi <mfv@debian.org>  Sun, 01 Jul 2018 15:40:39 +0200

opencolorio (1.1.0~dfsg0-1) unstable; urgency=medium

  * New upstream release
    - debian/patches/: patchset updated against v1.1.0
      - 0003-Fix_FTBFS_on_Linux.patch added
  * debian/control: bump libyaml-cpp build-dependency
  * debian/control: S-V bump 4.1.1 -> 4.1.3 (no changes needed)
  * debian/copyright: http:// -> https:// for copyright format

 -- Matteo F. Vescovi <mfv@debian.org>  Fri, 19 Jan 2018 14:30:25 +0100

opencolorio (1.0.9~dfsg0-12) unstable; urgency=medium

  * debian/: dh bump 9 -> 10
  * debian/control:
    - S-V bump 4.0.0 -> 4.1.1 (no changes needed)
    - Qt4 -> Qt5 migration (Closes: #875069)
  * debian/opencolorio-doc.doc-base: fix documentation path
  * debian/watch: enable repacking at uscan time

 -- Matteo F. Vescovi <mfv@debian.org>  Thu, 30 Nov 2017 21:07:32 +0100

opencolorio (1.0.9~dfsg0-11) unstable; urgency=medium

  * Upload to unstable
  * debian/control: S-V bump 3.9.8 => 4.0.0 (no changes needed)

 -- Matteo F. Vescovi <mfv@debian.org>  Thu, 22 Jun 2017 17:35:36 +0200

opencolorio (1.0.9~dfsg0-10) experimental; urgency=medium

  * debian/control: drop OpenImageIO as b-dep for failing architectures
  * Revert "debian/rules: circular dependency breakage"
    This change was ineffective in the attempt to break
    the circular dependency affecting OIIO and OCIO.

 -- Matteo F. Vescovi <mfv@debian.org>  Sun, 11 Dec 2016 14:19:46 +0100

opencolorio (1.0.9~dfsg0-9) experimental; urgency=medium

  * debian/rules: circular dependency breakage on
                  powerpcspe and sh4 architectures

 -- Matteo F. Vescovi <mfv@debian.org>  Sat, 10 Dec 2016 14:23:12 +0100

opencolorio (1.0.9~dfsg0-8) experimental; urgency=medium

  * debian/patches/: patchset updated
    - 0002-Fix_FTBFS_on_kFreeBSD.patch and
      0003-Fix_FTBFS_on_Hurd.patch merged in
      new 0002-Fix_FTBFS_on_non-Linux_platforms.patch

 -- Matteo F. Vescovi <mfv@debian.org>  Fri, 09 Dec 2016 22:30:45 +0100

opencolorio (1.0.9~dfsg0-7) experimental; urgency=medium

  * debian/patches/: patchset updated
    - 0003-Fix_FTBFS_on_Hurd.patch added
      Thanks to Pino Toscano (pino) for the patch.

 -- Matteo F. Vescovi <mfv@debian.org>  Thu, 08 Dec 2016 14:57:49 +0100

opencolorio (1.0.9~dfsg0-6) unstable; urgency=medium

  * debian/control: texlive-generic-extra b-dep added (Closes: #828621)
  * debian/control: dh-python b-dep added
  * debian/control: "Section" field dropped for libopencolorio1v5
  * debian/control: S-V bump 3.9.7 -> 3.9.8 (no changes needed)

 -- Matteo F. Vescovi <mfv@debian.org>  Wed, 27 Jul 2016 13:35:45 +0200

opencolorio (1.0.9~dfsg0-5) unstable; urgency=medium

  * debian/control: libopenimageio-dev b-dep re-added (Closes: #801426)
  * debian/control: S-V bump 3.9.6 -> 3.9.7 (no changes needed)
  * debian/control: Vcs-* fields updated to use https://

 -- Matteo F. Vescovi <mfv@debian.org>  Tue, 23 Feb 2016 14:08:53 +0100

=== debian/control ===
Source: opencolorio
Section: libs
Priority: optional
Maintainer: Debian PhotoTools Maintainers <pkg-phototools-devel@lists.alioth.debian.org>
Uploaders: Matteo F. Vescovi <mfv@debian.org>
Build-Depends:
 cmake,
 debhelper (>= 12),
 dh-python,
 junit4,
 libboost-dev,
 libglew-dev,
 liblcms2-dev,
 libopenimageio-dev (>= 2.0.0) <!pkg.opencolorio.noopenimageio>,
 libqt5opengl5-dev,
 libtinyxml-dev,
 libyaml-cpp-dev,
 pkg-config,
 python-dev,
 python-docutils,
 python-jinja2,
 python-pygments,
 python-setuptools,
 python-sphinx
Build-Depends-Indep:
 texlive-fonts-recommended,
 texlive-generic-extra,
 texlive-latex-base,
 texlive-latex-extra,
 texlive-latex-recommended
Standards-Version: 4.3.0
Homepage: http://opencolorio.org
Vcs-Git: https://salsa.debian.org/debian-phototools-team/opencolorio.git
Vcs-Browser: https://salsa.debian.org/debian-phototools-team/opencolorio

Package: libopencolorio-dev
Section: libdevel
Architecture: any
Depends: libopencolorio1v5 (= ${binary:Version}),
         ${misc:Depends}
Description: complete color management solution - development
 OpenColorIO (OCIO) is a complete color management solution geared
 towards motion picture production with an emphasis on visual effects
 and computer animation. OCIO provides a straightforward and consistent
 user experience across all supporting applications while allowing for
 sophisticated back-end configuration options suitable for high-end
 production usage. OCIO is compatible with the Academy Color Encoding
 Specification (ACES) and is LUT-format agnostic, supporting many
 popular formats.
 .
 OpenColorIO is released as version 1.0 and has been in development
 since 2003. OCIO represents the culmination of years of production
 experience earned on such films as SpiderMan 2 (2004), Surf's Up
 (2007), Cloudy with a Chance of Meatballs (2009), Alice in Wonderland
 (2010), and many more. OpenColorIO is natively supported in commercial
 applications like Katana, Mari, Silhouette FX, and others coming soon.
 .
 OpenColorIO is free and is one of several open source projects
 actively sponsored by Sony Imageworks.
 .
 This package provides the development files used to build applications
 using libopencolorio.

Package: libopencolorio1v5
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends}
Conflicts: libopencolorio1
Replaces: libopencolorio1
Description: complete color management solution - runtime
 OpenColorIO (OCIO) is a complete color management solution geared
 towards motion picture production with an emphasis on visual effects
 and computer animation. OCIO provides a straightforward and consistent
 user experience across all supporting applications while allowing for
 sophisticated back-end configuration options suitable for high-end
 production usage. OCIO is compatible with the Academy Color Encoding
 Specification (ACES) and is LUT-format agnostic, supporting many
 popular formats.
 .
 OpenColorIO is released as version 1.0 and has been in development
 since 2003. OCIO represents the culmination of years of production
 experience earned on such films as SpiderMan 2 (2004), Surf's Up
 (2007), Cloudy with a Chance of Meatballs (2009), Alice in Wonderland
 (2010), and many more. OpenColorIO is natively supported in commercial
 applications like Katana, Mari, Silhouette FX, and others coming soon.
 .
 OpenColorIO is free and is one of several open source projects
 actively sponsored by Sony Imageworks.
 .
 This package provides the runtime files used to run applications
 built against libopencolorio.

Package: opencolorio-tools
Section: utils
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends}
Description: complete color management solution - utilities
 OpenColorIO (OCIO) is a complete color management solution geared
 towards motion picture production with an emphasis on visual effects
 and computer animation. OCIO provides a straightforward and consistent
 user experience across all supporting applications while allowing for
 sophisticated back-end configuration options suitable for high-end
 production usage. OCIO is compatible with the Academy Color Encoding
 Specification (ACES) and is LUT-format agnostic, supporting many
 popular formats.
 .
 OpenColorIO is released as version 1.0 and has been in development
 since 2003. OCIO represents the culmination of years of production
 experience earned on such films as SpiderMan 2 (2004), Surf's Up
 (2007), Cloudy with a Chance of Meatballs (2009), Alice in Wonderland
 (2010), and many more. OpenColorIO is natively supported in commercial
 applications like Katana, Mari, Silhouette FX, and others coming soon.
 .
 OpenColorIO is free and is one of several open source projects
 actively sponsored by Sony Imageworks.
 .
 This package provides some utilities.

Package: opencolorio-doc
Section: doc
Architecture: all
Depends: libjs-jquery,
         libjs-underscore,
         ${misc:Depends}
Description: complete color management solution - documentation
 OpenColorIO (OCIO) is a complete color management solution geared
 towards motion picture production with an emphasis on visual effects
 and computer animation. OCIO provides a straightforward and consistent
 user experience across all supporting applications while allowing for
 sophisticated back-end configuration options suitable for high-end
 production usage. OCIO is compatible with the Academy Color Encoding
 Specification (ACES) and is LUT-format agnostic, supporting many
 popular formats.
 .
 OpenColorIO is released as version 1.0 and has been in development
 since 2003. OCIO represents the culmination of years of production
 experience earned on such films as SpiderMan 2 (2004), Surf's Up
 (2007), Cloudy with a Chance of Meatballs (2009), Alice in Wonderland
 (2010), and many more. OpenColorIO is natively supported in commercial
 applications like Katana, Mari, Silhouette FX, and others coming soon.
 .
 OpenColorIO is free and is one of several open source projects
 actively sponsored by Sony Imageworks.
 .
 This package provides the documentation.

Package: python-pyopencolorio
Section: python
Architecture: any
Depends: libopencolorio1v5 (= ${binary:Version}),
         ${misc:Depends},
         ${python:Depends},
         ${shlibs:Depends}
Description: complete color management solution - python bindings
 OpenColorIO (OCIO) is a complete color management solution geared
 towards motion picture production with an emphasis on visual effects
 and computer animation. OCIO provides a straightforward and consistent
 user experience across all supporting applications while allowing for
 sophisticated back-end configuration options suitable for high-end
 production usage. OCIO is compatible with the Academy Color Encoding
 Specification (ACES) and is LUT-format agnostic, supporting many
 popular formats.
 .
 OpenColorIO is released as version 1.0 and has been in development
 since 2003. OCIO represents the culmination of years of production
 experience earned on such films as SpiderMan 2 (2004), Surf's Up
 (2007), Cloudy with a Chance of Meatballs (2009), Alice in Wonderland
 (2010), and many more. OpenColorIO is natively supported in commercial
 applications like Katana, Mari, Silhouette FX, and others coming soon.
 .
 OpenColorIO is free and is one of several open source projects
 actively sponsored by Sony Imageworks.
 .
 This package provides Python bindings to the OpenColorIO library.

=== debian/rules ===
#!/usr/bin/make -f

CXXFLAGS = $(shell dpkg-buildflags --get CXXFLAGS)
CPPFLAGS = $(shell dpkg-buildflags --get CPPFLAGS)
export LDFLAGS = $(shell dpkg-buildflags --get LDFLAGS)
export REPACK_SH=$(CURDIR)/debian/repack.sh
BLDDIR = debian/cmake
INSTDIR = debian/tmp

%:
	dh $@ -Scmake -B$(BLDDIR) --with python2

override_dh_auto_configure:
	dh_auto_configure -- \
		-DCMAKE_CXX_FLAGS="$(CXXFLAGS) $(CPPFLAGS)" \
		-DOCIO_BUILD_DOCS=ON \
		-DOCIO_BUILD_NUKE=OFF \
		-DOCIO_BUILD_STATIC=OFF \
		-DOCIO_BUILD_TESTS=OFF \
		-DOCIO_BUILD_TRUELIGHT=OFF \
		-DOCIO_USE_SSE=OFF \
		-DUSE_EXTERNAL_TINYXML=ON \
		-DUSE_EXTERNAL_YAML=ON

override_dh_auto_install:
	dh_auto_install
	rm -f $(INSTDIR)/usr/share/doc/OpenColorIO/html/_sources/License.txt
	rm -f $(INSTDIR)/usr/share/doc/OpenColorIO/html/_static/jquery.js
	rm -f $(INSTDIR)/usr/share/doc/OpenColorIO/html/_static/underscore.js

override_dh_install:
	mv $(INSTDIR)/usr/share/doc/OpenColorIO $(INSTDIR)/usr/share/doc/opencolorio
	dh_install

override_dh_auto_clean:
	pyclean .
	dh_auto_clean

override_dh_auto_test:
